Package com.macrofocus.high_d.scatterplotmatrix

# Class AbstractScatterPlotMatrixView<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView<Component,Color,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`, `ScatterPlotMatrixView<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXScatterPlotMatrixView`

public abstract class AbstractScatterPlotMatrixView<Component,Color,Row,Column> extends Object implements ScatterPlotMatrixView<Component,Color,Row,Column>
Created by luc on 25/04/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixView

  `ScatterPlotMatrixView.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MutableProperties<ScatterPlotMatrixView.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotMatrixView(com.macrofocus.igraphics.CPColorFactory<Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createOverplots()`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `ScatterPlotMatrixModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `protected abstract ScatterPlotMatrixComponent`
  `getScatterPlotMatrixComponent()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowTiming()`
  `boolean`
  `isSelectionMode()`
  `protected abstract void`
  `refresh()`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setModel(ScatterPlotMatrixModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

  ### Methods inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixView

  `getClosestRow, getHeight, getRows, getWidth, setLicenseModel`

- ## Field Details

  - ### properties

    protected final MutableProperties<ScatterPlotMatrixView.PropertyType> properties

- ## Constructor Details

  - ### AbstractScatterPlotMatrixView

    public AbstractScatterPlotMatrixView(com.macrofocus.igraphics.CPColorFactory<Color> factory)

- ## Method Details

  - ### getModel

    public ScatterPlotMatrixModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Specified by:
      `getModel` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `ScatterPlotMatrixView.setModel(ScatterPlotMatrixModel)`

  - ### setModel

    public void setModel(ScatterPlotMatrixModel model)
    Description copied from interface: `ScatterPlotMatrixView`
    Sets the data model and registers with it for listener notifications from the new data model.
    Specified by:
      `setModel` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`
    Parameters:
      `model` - the new data model
    See Also:
      - `ScatterPlotMatrixView.getModel()`

  - ### isSelectionMode

    public boolean isSelectionMode()
    Specified by:
      `isSelectionMode` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### setSelectionMode

    public void setSelectionMode(boolean value)
    Specified by:
      `setSelectionMode` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### refresh

    protected abstract void refresh()

  - ### getScatterPlotMatrixComponent

    protected abstract ScatterPlotMatrixComponent getScatterPlotMatrixComponent()

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `ScatterPlotMatrixView`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`
    Returns:
      the color theme

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `ScatterPlotMatrixView`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### getShowTiming

    public MutableProperty<Boolean> getShowTiming()
    Specified by:
      `getShowTiming` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()
    Specified by:
      `getShowFiltered` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)
    Specified by:
      `setShowFiltered` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()
    Specified by:
      `getAntialiasing` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### setAntialiasing

    public void setAntialiasing(MutableProperty<Boolean> antialiasing)
    Specified by:
      `setAntialiasing` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()
    Specified by:
      `getRendering` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### setRendering

    public void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)
    Specified by:
      `setRendering` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`

  - ### createOverplots

    protected void createOverplots()

  - ### getRubberBand

    public com.macrofocus.rubberband.RubberBand getRubberBand()
    Specified by:
      `getRubberBand` in interface `ScatterPlotMatrixView<Component,Color,Row,Column>`